Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355047 - app-text/ghostscript-gpl-9.00-r1: compilation fails with media-libs/libpng-1.5.x
Summary: app-text/ghostscript-gpl-9.00-r1: compilation fails with media-libs/libpng-1.5.x
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Printing Team
URL: http://git.ghostscript.com/?p=ghostpd...
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-02-15 17:04 UTC by Lars Wendler (Polynomial-C)
Modified: 2011-07-27 11:08 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch from NetBSD (ghostscript-gpl-9.00-libpng1.5.patch,6.54 KB, patch)
2011-02-16 05:00 UTC, Jory A. Pratt
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2011-02-15 17:04:50 UTC
i686-pc-linux-gnu-gcc  -DHAVE_MKSTEMP -DHAVE_HYPOT -DHAVE_FILE64
-DHAVE_MKSTEMP64 -DHAVE_FONTCONFIG -DHAVE_LIBIDN -DHAVE_SETLOCALE -O2 -fPIC
-Wall -Wstrict-prototypes -Wundef -Wmissing-declarations -Wmissing-prototypes
-Wwrite-strings -Wno-strict-aliasing -Wdeclaration-after-statement
-fno-builtin -fno-common -DHAVE_STDINT_H -DGX_COLOR_INDEX_TYPE="unsigned long
long" -march=barcelona -O2 -pipe -DUSE_LIBPAPER -DGS_DEVS_SHARED
-DGS_DEVS_SHARED_DIR=\"/usr/lib/ghostscript/9.00\" -I./obj/../soobj -I./base
-Isrc -Isrc -DSHARE_LIBPNG=1  -o ./obj/../soobj/gdevpng.o -c ./base/gdevpng.c
./base/gdevpng.c: In function ‘png_print_page’:
./base/gdevpng.c:283:9: error: dereferencing pointer to incomplete type
./base/gdevpng.c:293:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:294:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:296:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:298:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:300:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:301:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:304:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:305:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:318:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:319:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:325:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:326:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:329:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:331:11: error: dereferencing pointer to incomplete type
./base/gdevpng.c:333:11: error: dereferencing pointer to incomplete type
./base/gdevpng.c:336:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:337:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:340:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:341:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:348:17: error: dereferencing pointer to incomplete type
./base/gdevpng.c:353:10: error: dereferencing pointer to incomplete type
./base/gdevpng.c:356:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:360:10: error: dereferencing pointer to incomplete type
./base/gdevpng.c:361:10: error: dereferencing pointer to incomplete type
./base/gdevpng.c:365:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:366:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:367:14: error: dereferencing pointer to incomplete type
./base/gdevpng.c:378:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:379:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:385:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:386:13: error: dereferencing pointer to incomplete type
./base/gdevpng.c:398:5: error: dereferencing pointer to incomplete type
./base/gdevpng.c: At top level:
./base/gdevpng.c:420:1: warning: no previous prototype for
‘png_push_fill_buffer’
make[1]: *** [obj/../soobj/gdevpng.o] Error 1
Comment 1 Jory A. Pratt gentoo-dev 2011-02-16 05:00:55 UTC
Created attachment 262681 [details, diff]
Patch from NetBSD
Comment 2 Артём Воротников 2011-02-22 23:41:44 UTC
(In reply to comment #1)
> Created an attachment (id=262681) [details]
> Patch from NetBSD
> 
Thanks ofr the heads up. Worked like a _charm_
Comment 3 Samuli Suominen gentoo-dev 2011-05-08 14:33:17 UTC
The patch from URL field (propably same as attached) works fine for me with ghostscript-gpl-9.02 from bug 365281.
Comment 4 Christoph Mende (RETIRED) gentoo-dev 2011-05-14 15:37:14 UTC
(In reply to comment #3)
> The patch from URL field (propably same as attached) works fine for me with
> ghostscript-gpl-9.02 from bug 365281.

Also works fine with 9.02 compiled against libpng14. I.e. no backwards compatibility break.
Comment 5 Andreas K. Hüttel gentoo-dev 2011-06-05 21:17:08 UTC
Thanks ssuominen & angelos - patch added in 9.02.
Comment 6 Timo Gurr (RETIRED) gentoo-dev 2011-06-05 22:01:12 UTC
Please leave this open until it's fixed upstream. Last time I checked it wasn't even reported..
Comment 7 Timo Gurr (RETIRED) gentoo-dev 2011-07-27 11:08:45 UTC
The patch has found it's way into the upstream repository, see URL. Resolving as fixed.